%define upstream_name    Devel-Trepan-Disassemble
%define upstream_version 2.0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl Disassembly plugin for Devel::Trepan via B::Concise
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-v%{upstream_version}.tar.gz
# Fix testsuite with perl > 5.31.3
Patch0:	    fix-testsuite-with-perl-5.32.patch

BuildRequires: perl(B::Concise)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Callsite) >= 0.60.0
BuildRequires: perl(Devel::Trepan) >= 0.560.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Syntax::Highlight::Perl::Improved) >= 1.10.0
BuildRequires: perl(Test::Simple) >= 0.810.0
BuildRequires: perl(rlib) >= 0.20.0
BuildArch:  noarch

%description
This adds a disassemble command to the Devel::Trepan debugger.
Disassembles the Perl interpreter OP tree using B::Concise.

%prep
%autosetup -p1 -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog Changes META.json META.yml MYMETA.yml README SIGNATURE example
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Oct 15 2020 tv <tv> 2.0.2-6.mga8
+ Revision: 1636241
- Fix testsuite with perl > 5.31.3

* Sat Feb 15 2020 umeabot <umeabot> 2.0.2-5.mga8
+ Revision: 1523756
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 2.0.2-4.mga7
+ Revision: 1374708
- fix summary+desc

* Wed Sep 19 2018 umeabot <umeabot> 2.0.2-3.mga7
+ Revision: 1267269
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.0.2-2.mga6
+ Revision: 1025667
- Rebuild for perl 5.22.2

* Thu Apr 21 2016 tv <tv> 2.0.2-1.mga6
+ Revision: 1003963
- new version (that pass tests)

* Thu Jan 28 2016 umeabot <umeabot> 1.990.0-4.mga6
+ Revision: 928482
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 1.990.0-1.mga5
+ Revision: 624213
- update to 1.99

* Mon Oct 21 2013 umeabot <umeabot> 1.900.0-2.mga4
+ Revision: 537079
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.900.0-1.mga4
+ Revision: 486228
- update to 1.9

* Wed Jan 23 2013 jquelin <jquelin> 1.800.0-2.mga3
+ Revision: 391484
- update to 1.8
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 1.700.0-1.mga3
+ Revision: 308701
- imported package perl-Devel-Trepan-Disassemble

